osgViewer::StatsHandler::UserStatsLine Struct Reference

`#include <ViewerEventHandlers>`

## Public Member Functions

| UserStatsLine (const std::string &label_, const osg::Vec4 &textColor_, const osg::Vec4 &barColor_, const std::string &timeTakenName_, float multiplier_, bool average_, bool averageInInverseSpace_, const std::string &beginTimeName_, const std::string &endTimeName_, float maxValue_)

## Public Attributes

std::string | label
osg::Vec4 | textColor
osg::Vec4 | barColor
std::string | timeTakenName
float | multiplier
bool | average
bool | averageInInverseSpace
std::string | beginTimeName
std::string | endTimeName
float | maxValue

## Constructor & Destructor Documentation

## UserStatsLine()

osgViewer::StatsHandler::UserStatsLine::UserStatsLine | ( | const std::string & | label_,
|  | const osg::Vec4 & | textColor_,
|  | const osg::Vec4 & | barColor_,
|  | const std::string & | timeTakenName_,
|  | float | multiplier_,
|  | bool | average_,
|  | bool | averageInInverseSpace_,
|  | const std::string & | beginTimeName_,
|  | const std::string & | endTimeName_,
|  | float | maxValue_ )

inline

References average, averageInInverseSpace, barColor, beginTimeName, endTimeName, label, maxValue, multiplier, textColor, and timeTakenName.

## Member Data Documentation

## average

bool osgViewer::StatsHandler::UserStatsLine::average

Referenced by UserStatsLine().

## averageInInverseSpace

bool osgViewer::StatsHandler::UserStatsLine::averageInInverseSpace

Referenced by UserStatsLine().

## barColor

osg::Vec4 osgViewer::StatsHandler::UserStatsLine::barColor

Referenced by UserStatsLine().

## beginTimeName

std::string osgViewer::StatsHandler::UserStatsLine::beginTimeName

Referenced by UserStatsLine().

## endTimeName

std::string osgViewer::StatsHandler::UserStatsLine::endTimeName

Referenced by UserStatsLine().

## label

std::string osgViewer::StatsHandler::UserStatsLine::label

Referenced by UserStatsLine().

## maxValue

float osgViewer::StatsHandler::UserStatsLine::maxValue

Referenced by UserStatsLine().

## multiplier

float osgViewer::StatsHandler::UserStatsLine::multiplier

Referenced by UserStatsLine().

## textColor

osg::Vec4 osgViewer::StatsHandler::UserStatsLine::textColor

Referenced by UserStatsLine().

## timeTakenName

std::string osgViewer::StatsHandler::UserStatsLine::timeTakenName

Referenced by UserStatsLine().

The documentation for this struct was generated from the following file:

- osgViewer/ViewerEventHandlers